@charset "UTF-8";
/*==============================================================================
1.共通事項
2.fv
2.intro
3.blog
==============================================================================*/


/*============================================================================================================================================================
==============================================================================================================================================================

	1.共通事項

==============================================================================================================================================================
============================================================================================================================================================*/
footer{
    margin-top: 0;
}



/*============================================================================================================================================================
==============================================================================================================================================================

	2.fv

==============================================================================================================================================================
============================================================================================================================================================*/
#fv{
    position: relative;
    color: #fff;

    & video{
        display: block;
        width: 100%;
        aspect-ratio: 720 / 1280;
    }

    &::after{
        content: "";
        width: 100%;
        height: 200px;
        position: absolute;
        left: 0;
        bottom: 0;
        z-index: 2;
        background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.4) 30%, rgba(255, 255, 255, 0.7) 50%, rgba(255, 255, 255, 1) 90%);
        
    }
}
/*==============================================================================

	fv PC

==============================================================================*/
@media all and (min-width: 769px){
    #fv{
        height: 870px;
        background-color: var(--color-main);
        background: 
        url(../1_img/front/fv-pc_town.png) no-repeat center / cover,
        url(../1_img/front/fv-pc_star.gif) repeat center,
        url(../1_img/front/fv-pc_cloud.png) no-repeat center / cover,
        var(--color-main);

        & .inner{
            height: 100%;
            position: relative;

            & .fv-text{
                display: flex;
                flex-direction: column;
                align-items: flex-start;
                position: absolute;
                top: 110px;
                left: -110px;
                gap: 10px;
                transition: 500ms;

                & span{
                    padding: 0 20px;
                    position: relative;
                    font-size: 3.6rem;
                    font-weight: var(--weight-bold);
                    background-color: #595757;
                    opacity: 0;
                    transform: translateX(-40px);
                    pointer-events: none;
                    letter-spacing: 0.2em;

                    &::after{
                        content: "";
                        width: 100%;
                        height: 100%;
                        position: absolute;
                        top: 0;
                        right: 0;
                        background-color: var(--color-gray);
                    }

                    &.started{
                        opacity: 1;
                        transform: translateX(0px);
                        pointer-events: all;
                        transition: 800ms 1200ms;

                        &::after{
                            width: 0;
                            transition: 800ms 1500ms;
                        }
                    }
                }
            }

            & h2{
                position: absolute;
                left: 50%;
                bottom: 220px;
                transform: translateX(-50%);
            }
        }
    }
}
@media all and (min-width: 769px) and (max-width: 1200px){
    #fv{
        & .inner{
            & .fv-text{
                left: 0px;
            }
        }
    }
}


/*============================================================================================================================================================
==============================================================================================================================================================

	2.intro

==============================================================================================================================================================
============================================================================================================================================================*/
#intro{
    margin-top: -50px;
    position: relative;
    z-index: 2;
    text-align: center;

    & .inner > *:not(h2){margin-top: 30px;}

    & .intro-text_2{
        & em{font-weight: var(--weight-bold);}
        & span{background-image: linear-gradient(transparent 60%, rgba(250, 219, 152, 1) 60%);}
    }

    & .button-wrap{
        text-align: center;

        & .text{
            margin-bottom: 10px;
            padding-bottom: 15px;
            position: relative;
            font-weight: var(--weight-bold);
            font-size: 1.2rem;

            &::after{
                content: "";
                width: 210px;
                aspect-ratio: 210 / 20;
                position: absolute;
                left: 50%;
                bottom: 0;
                transform: translateX(-50%);
                background: url(../1_img/front/intro-fukidashi.svg) no-repeat center / 100% auto;
            }
        }
    }

    & .intro-bg{
        margin-top: -50px;
        height: 300px;
        position: relative;
        z-index: -1;
        background: url(../1_img/front/intro-bg_sp.jpg) no-repeat center / cover;

        &::before{
            content: "";
            width: 100%;
            height: 100%;
            position: absolute;
            top: 0;
            left: 0;
            background: linear-gradient(0deg,rgba(0, 0, 0, 0) 0%, rgba(255, 255, 255, 0.89) 76%, rgba(255, 255, 255, 1) 100%);
        }
    }
}
/* ========== モーダル ========== */
#about-logo{
    & figure{
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 30px;

        & img{
            width: 150px;
            height: auto;
        }

        & figcaption{
            padding-top: 20px;
            position: relative;
            border-top: 1px solid var(--color-main);

            &::before,&::after{
                content: "";
                width: 12px;
                height: 10px;
                position: absolute;
                top: -5px;
                background-color: var(--color-white);
                background-image: url(../1_img/base/deco-star_black.svg);
                background-size: 7px auto;
                background-repeat: no-repeat;
            }
            &::before{
                left: 0;
                background-position: left center;
            }
            &::after{
                right: 0;
                background-position: right center;
            }

            & h3{
                margin-bottom: 10px;
                text-align: center;
                font-size: 1.6rem;
                font-weight: var(--weight-bold);
            }
        }
    }
}

/*==============================================================================

	intro PC

==============================================================================*/
@media all and (min-width: 769px){
    #intro{
        margin-top: -40px;
        font-size: 1.6rem;

        & .inner > *:not(h2){margin-top: 45px;}

        & .img img{
            width: 450px;
            height: auto;
        }

        & .button-wrap{
            & .text{
                margin-bottom: 15px;
                padding-bottom: 20px;
                font-size: 1.4rem;

                &::after{width: 250px;}
            }
        }

        & .intro-bg{
            margin-top: -220px;
            height: 640px;
            background-image: url(../1_img/front/intro-bg_pc.jpg);
        }
    }

    /* ========== モーダル ========== */
    #about-logo{
        max-width: 450px;
        gap: 40px;

        & figure{
            & img{width: 230px;}

            & figcaption{
                padding-top: 30px;

                & h3{
                    margin-bottom: 15px;
                    font-size: 1.8rem;
                }
            }
        }
    }
}






/*============================================================================================================================================================
==============================================================================================================================================================

	3.blog

==============================================================================================================================================================
============================================================================================================================================================*/
#blog{
    padding-top: 40px;
    padding-bottom: 250px;
    position: relative;
    background-color: var(--color-gray);
    z-index: 3;

    &::before{
        content: "";
        position: absolute;
        width: 100%;
        height: 60px;
        left: 0;
        bottom: 100%;
        background: url(../1_img/front/blog-deco_sp.svg) repeat-x  bottom center/ auto 100%;
    }

    & h2{
        font-size: 1.3rem;
        font-weight: var(--weight-bold);
        color: var(--color-sub);
    }

    & .blog-intro{
        margin-top: 30px;
        font-weight: var(--weight-bold);

        & small{font-size: 1.6rem;}
        & em{font-size: 2.2rem;}
    }


    & .post_wrap {
        margin-top: 60px;
        display: flex;
        flex-wrap: wrap;
        gap: 50px 10px;

        /*============== 1週間以内の投稿 ==============*/
        & article.latest {

            & .img_wrap {
                /*======= 装飾 =======*/
                &::before{
                    content: "";
                    width: 60px;
                    aspect-ratio: 1 / 1;
                    position: absolute;
                    top: -25px;
                    left: -25px;
                    z-index: 2;
                    background: url(../1_img/blog/new.svg) no-repeat center / 100% auto;
                }
            }

            &:not(:first-child){
                & .img_wrap {
                    /*======= 装飾 =======*/
                    &::before{
                        width: 40px;
                        top: -17px;
                        left: -17px;
                    }
                }
            }
        }

        /*============== 共通 ==============*/
        & article {
            display: flex;
            position: relative;
            flex-direction: column;
            align-items: center;
            background-color: #fff;

            /*======= カテゴリ =======*/
            & .cate {
                position: absolute;
                left: 0;
                top: 0;
                transform: translateY(-50%);
                text-align: center;
                width: 100%;
                z-index: 2;

                & a {
                    display: inline-block;
                    position: relative;

                    & span {
                        padding: 0 10px;
                        display: -webkit-box;
                        color: var(--color-font);
                        text-align: center;
                        background-color: var(--color-accent);
                        font-weight: var(--weight-bold);
                        line-height: 2.5;
                        -webkit-box-orient: vertical;
                        -webkit-line-clamp: 1;
                        overflow: hidden;
                    }

                    &::after {
                        content: "";
                        width: 12px;
                        height: 6px;
                        position: absolute;
                        top: calc(100% - 1px);
                        left: 50%;
                        transform: translateX(-50%);
                        background-color: var(--color-accent);
                        clip-path: polygon(0 0, 50% 100%, 100% 0);
                    }
                }
            }

            /*======= 画像 =======*/
            & .img_wrap {
                width: 100%;
                aspect-ratio: 16 / 9;
                display: block;
                position: relative;
                transition: 500ms;
                order: 1;

                & a {
                    width: 100%;
                    height: 100%;
                    display: block;
                    overflow: hidden;
                    position: relative;

                    & img {
                        width: 100%;
                        height: 100%;
                        object-fit: cover;
                        object-position: center;
                    }
                }
            }

            /*======= テキスト =======*/
            & .text_area {
                margin-top: 10px;
                width: 100%;
                order: 2;

                & .date {
                    font-family: var(--font-en);
                    font-weight: var(--weight-semibold);
                    font-size: 1.2rem;
                }

                & .sub-title {
                    margin-top: 0;
                    font-weight: var(--weight-bold);
                    color: var(--color-sub);
                }

                & .article-title {
                    margin-top: 2px;
                    line-height: 1.8;

                    & a {
                        display: -webkit-box;
                        -webkit-box-orient: vertical;
                        -webkit-line-clamp: 3;
                        overflow: hidden;
                        font-weight: var(--weight-bold);
                        color: var(--color-font);
                    }
                }
            }
        }

        /*============== 1件目 ==============*/
        & article:first-child {
            padding: 30px 20px 20px;
            width: 100%;

            & .cate span {
                min-width: 130px;
                font-size: 1.4rem;
            }

            & .sub-title {
                font-size: 1.5rem;
            }

            & .article-title {
                font-size: 1.6rem;
            }
        }

        /*============== 2件目以降 ==============*/
        & article:not(:first-child) {
            padding: 20px 10px;
            width: calc((100% - 10px) / 2);

            & .cate span {
                min-width: 100px;
                font-size: 1rem;
            }

            & .sub-title {
                font-size: 1.2rem;
            }

            & .article-title {
                font-size: 1.4rem;
            }
        }
        
        /*============== 3つ目以降の記事 ==============*/
        & article:nth-child(n + 4) {
            display: none;
        }
    }

    & .btn-wrap{
        margin-top: 60px;
        text-align: center;
    }
}

/*==============================================================================

	blog PC

==============================================================================*/
@media all and (min-width: 769px){
    #blog{
        padding-top: 80px;
        padding-bottom: 450px;

        &::before{
            height: 140px;
            background-image: url(../1_img/front/blog-deco_pc.svg);
        }

        & h2{font-size: 1.6rem;}

        & .blog-intro{
            margin-top: 30px;
            & small{font-size: 2.2rem;}
            & em{font-size: 3.4rem;}
        }

        & .post_wrap {
            margin-top: 80px;
            gap: 50px 40px;

            /*============== 1週間以内の投稿 ==============*/
            & article.latest {
                & .img_wrap {
                    /*======= 装飾 =======*/
                    &::before{width: 75px;}
                }

                &:not(:first-child){
                    & .img_wrap {
                        /*======= 装飾 =======*/
                        &::before{width: 55px;}
                    }
                }
            }

            /*============== 1件目 ==============*/
            & article:first-child {
                margin-right: calc(100% - 485px);
                padding-top: 10px;
                width: 485px;

                &::after{
                    content: "";
                    width: 330px;
                    aspect-ratio: 390 / 385;
                    position: absolute;
                    top: 50%;
                    left: calc(100% + 110px);
                    transform: translateY(-60%);
                    background: url(../1_img/front/blog-new_deco.svg) no-repeat center / 100% auto;
                }

                & .cate span {
                    min-width: 200px;
                    font-size: 2rem;
                }
                & .date {font-size: 1.7rem;}
                & .article-title {
                    font-size: 2.3rem;
                }
            }

            /*============== 2件目以降 ==============*/
            & article:not(:first-child) {
                padding: 30px 10px;
                width: calc( (100% - 40px*2) / 3);

                & .cate span {
                    padding-top: 0;
                    padding-bottom: 0;
                    min-width: 130px;
                    font-size: 1.6rem;
                    line-height: 2;
                }
                & .date {font-size: 1.4rem;}
                & .article-title {font-size: 1.8rem;}
            }
            
            /*============== 3つ目以降の記事 ==============*/
            & article:nth-child(n + 4) {display: flex;}
        }

        & .btn-wrap{
            margin-top: 60px;
            text-align: center;
        }
    }
}






/*============================================================================================================================================================
==============================================================================================================================================================

	TOPICS&NEWS

==============================================================================================================================================================
============================================================================================================================================================*/
/* 飾りのテント */
.tn-tent{
    margin-top: 50px;
    text-align: center;
    background-color: #3e3a3a;

    & img{width: 100%;}
}
#tn {
    padding-top: 50px;
    padding-bottom: 250px;
    background: linear-gradient(180deg, rgba(254, 248, 236, 1) 0%, rgba(252, 238, 227, 1) 32%, rgba(249, 230, 230, 1) 65%, rgba(211, 201, 198, 1) 100%);

    & h2{
        text-align: center;
        font-size: 3rem;
        font-weight: var(--weight-bold);
        letter-spacing: 0.15em;
    }

    & .intro{
        text-align: center;
        font-size: 2rem;
        font-weight: var(--weight-bold);
    }

    /* ========== 最新記事 ========== */
    & .tn-new{
        margin-top: 50px;
    }
    /* ========== 記事 ========== */
    & article{
        padding: 30px 20px 20px;
        display: flex;
        position: relative;
        flex-direction: column;
        align-items: center;
        background-color: #fff;
        
        /*============== 1週間以内の投稿 ==============*/
        &.latest {
            position: relative;

            & .img_wrap {
                /*======= 装飾 =======*/
                &::before{
                    content: "";
                    width: 60px;
                    aspect-ratio: 1 / 1;
                    position: absolute;
                    top: -25px;
                    left: -25px;
                    z-index: 2;
                    background: url(../1_img/blog/new.svg) no-repeat center / 100% auto;
                }
            }
        }
        /*======= カテゴリ =======*/
        & .cate{
            position: absolute;
            left: 0;
            top: 0;
            transform: translateY(-50%);
            text-align: center;
            width: 100%;

            & a{
                display: inline-block;
                position: relative;
            
                & span{
                    min-width: 130px;
                    padding: 0px 10px;
                    display: -webkit-box;
                    color: #fff;
                    background-color: var(--color-font);
                    text-align: center;
                    font-weight: var(--weight-bold);
                    line-height: 2.5;
                    font-size: 1.4rem;
                    -webkit-box-orient: vertical;
                    -webkit-line-clamp: 1;
                    overflow: hidden;
                }
        
                &::before,
                &::after{
                    content: "";
                    width: 3px;
                    height: 100%;
                    position: absolute;
                    top: 0;
                    left: 0;
                    transform: unset;
                    background-color: var(--color-font);
                    clip-path: unset;
                    clip-path: polygon(0% 0%, 100% 0%, 100% 100%, 0% 100%, 100% 87.5%, 0% 76%, 100% 62.5%, 0% 50%, 100% 37.5%, 0% 24%, 100% 12.5%);
                }
                &::before{transform: translateX(calc(-100% + 1px));}
                &::after{
                    left: 100%;
                    transform: scale(-1,1);
                }
            }
        }
        /*======= 画像 =======*/
        & .img_wrap {
            width: 100%;
            aspect-ratio: 16 / 9;
            display: block;
            position: relative;
            transition: 500ms;
            order: 1;

            & a{
                width: 100%;
                height: 100%;
                display: block;
                overflow: hidden;
                position: relative;

                & img {
                    width: 100%;
                    height: 100%;
                    object-fit: cover;
                    object-position: center;
                }
            }
        }
        /*======= テキスト領域 =======*/
        & .text_area {
            margin-top: 10px;
            width: 100%;
            order: 2;

            /*======= 日付 =======*/      
            & .date {
                font-family: var(--font-en);
                font-weight: var(--weight-semibold);
                font-size: 1.2rem;
            }
            /*======= サブタイトル =======*/
            & .sub-title{
                margin-top: 0px;
                font-weight: var(--weight-bold);
                font-size: 1.5rem;
                color: var(--color-sub);
            }
            /*======= タイトル =======*/
            & .article-title {
                margin-top: 2px;
                font-size: 1.6rem;
                line-height: 1.8;

                & a {
                    display: -webkit-box;
                    -webkit-box-orient: vertical;
                    -webkit-line-clamp: 3;
                    overflow: hidden;
                    font-weight: var(--weight-bold);
                    color: var(--color-font);
                }
            }
        }
        /*======= テキスト領域 end =======*/
    }
    /* ========== 解禁情報一覧 ========== */
    & .tn-spacer{
        margin-top: 65px;
        margin-bottom: 60px;
        text-align: center;

        & span{
            padding: 0 60px;
            display: inline-block;
            position: relative;
            font-weight: var(--weight-bold);

            &::before,&::after{
                content: "";
                width: 37px;
                height: 12px;
                position: absolute;
                top: 50%;
                transform: translateY(-50%);
                background: url(../1_img/front/tn-spacer.svg) no-repeat center /100% auto;
            }
            &::before{left: 0;}
            &::after{
                right: 0;
                transform: scale(-1,1) translateY(-50%);
            }
        }
    }
    /* ========== カテゴリ一覧 ========== */
    & .tn-post_wrap{
        display: flex;
        flex-direction: column;
        gap: 45px;
    }

    & .btn-wrap{
        margin-top: 60px;
        text-align: center;
    }
}





